import { Node } from "./Node.cjs";
import { NodeKind } from "./NodeKind.cjs";
import { PathPartCandidate } from "./PathPartCandidate.cjs";
/**
 * Represents an interpolation node.
 */
export declare class InterpolationNode<T> extends Node<T> {
    /**
     * @inheritdoc
     */
    readonly Type = NodeKind.InterpolationNode;
    /**
     * The expression to interpolate.
     */
    private expression;
    /**
     * Initializes a new instance of the {@linkcode InterpolationNode} class.
     *
     * @param source
     * The source of the node.
     *
     * @param expression
     * The expression to interpolate.
     */
    constructor(source: T, expression: T);
    /**
     * Gets the expression to interpolate.
     */
    get Expression(): T;
    /**
     * @inheritdoc
     */
    get PathPart(): PathPartCandidate<T>;
}
